// JavaScript Document
// ***********************************************
// W. Dwyne Dec 2006 & 2018 & 2020
/*global document*/
 Date.prototype.getWeek = function () {
    var target  = new Date(this.valueOf());
    var dayNr   = (this.getDay() + 6) % 7;
    target.setDate(target.getDate() - dayNr + 3);
    var firstThursday = target.valueOf();
    target.setMonth(0, 1);
    if (target.getDay() != 4) {
        target.setMonth(0, 1 + ((4 - target.getDay()) + 7) % 7);
    }
    return 1 + Math.ceil((firstThursday - target) / 604800000);
}

var weeknum= new Date();
var weeknum=(weeknum.getWeek());

 /* The above Weeknumber code is from www.epochconverter.com. The rest is mine. */

 /* I'm surprised that javascript does not provide some of the data that
 this routine calculates */

var weekday =["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];

var monthnames =["January", "February", "March", "April", "May", "June", "July", "August",
    "September", "October", "November", "December"];

var now = new Date();

var dayname = weekday[now.getDay()];

var day = now.getDate();

var monthname = monthnames[now.getMonth()];

/* var month = now.getMonth() + 1; */

var year = now.getFullYear();

var leap = new Date(year, 1, 29).getMonth();
/* This function will return 2 for non leap and 1 for leap year */
if (leap !== 1)
{leap = 0;}
/* If not 1 it is not a leap year */


/* var diff = now - year; */

var hours = now.getHours();

var ampm =["....."];


if (hours >= 12)
{
    ampm = " p.m.";
}
else
{
    ampm = " a.m.";
}

if (hours >= 13)
{
    hours -= 12;
}

if (hours === 0)
{
    hours = 12;
}

var min = now.getMinutes();

if (min < 10)
{
    min = "0" + min;
}

/* var gmtdif = now.getTimezoneOffset() / 60; */

/* the following calculates the day position in the current year.  Used as key to SQL file*/
var lastday = now .setFullYear(now.getFullYear(), 11, 31); /* Get last day of the current year */
var lastday = Math.floor(lastday / 86400000);
/* days from 1 Jan 1970 to 31 Dec current year (864000000 is sec in a day)*/

var firstday = now .setFullYear(now.getFullYear(), 0, 1); /* Get first day of the current year */
var firstday = Math.floor(firstday / 86400000); /* days from 1 Jan 1970 to 1 Jan current year */

var yeardays = lastday - firstday + 1; /* days in the current year*/

var now = new Date(); /* reset value (should not be req'd however now value is corrupt) */
var daystonow = Math.ceil(now .getTime() / 86400000); /* days from 1 Jan 1970 to today */

var daynum = daystonow - firstday; /* day of current day */
var daytoend = yeardays - daynum; /* days to end of year */

if (daynum < 1 || daynum > 366) /* Check the range */
{daynum = 0; daytoend = 0; yeardays = 0;}

var txt = "";
document.getElementById("for-java").innerHTML = txt;

/* var mybr ="";   mybr adds some formatting to the text string */

if ( screen.width < 400 ) /* check the screen width, if required reduce the length
of the date string */
{
    dayname = dayname.slice(0, 3);
    monthname = monthname.slice(0, 3);
    year = year.toString().substr(-2);
/*    mybr = "<br>"; */
}

/* display the text date and time */
document.write(
    "&nbsp;&nbsp;", dayname, "&nbsp;", day, "&nbsp;", monthname, "&nbsp;", year,
    "&nbsp;", hours, ":", min, ampm, "&nbsp;");
document.write("<span class=small>", "(",weeknum,") ", daynum, "-", daytoend, " / ",yeardays,"</span>");


/* If protocol = "file: it's local mode or href = a site we want then display the qutoes*/
 if (window.location.protocol == "file:" ||
     window.location.hostname == "www.dwyne.net")
 {

/* Initialize the array using the array() constructor.
Some quotes to show.  Bit of a rough way of accomplishing this.
Looked at SQL PHP, far to many problems with restricted access security, server or client side etc.
It's only one array element per day!
To find a specific day number try https://www.miniwebtool.com/day-of-year-calendar/
use non leap year day number.  Look at element 60 for leap year logic.*/

var billsays =[];

billsays[0] = "Error in array range";
billsays[1] = "";
billsays[2] = "";
billsays[3] = "";
billsays[4] = "";
billsays[5] = "";
billsays[6] = "";
billsays[7] = "";
billsays[8] = " RIP Baden Powell (1941) Soldier, founder & 1st Chief Scout. Stick to your Scout Promise always &#10687;";
billsays[9] = "";
billsays[10] = "";
billsays[11] = "";
billsays[12] = "";
billsays[13] = "";
billsays[14] = "";
billsays[15] = "";
billsays[16] = "";
billsays[17] = "";
billsays[18] = "";
billsays[19] = "";
billsays[20] = "";
billsays[21] = "";
billsays[22] = "";
billsays[23] = "";
billsays[24] = " - RIP Winston Churchill (1965)"; /* 24 Jan */
billsays[25] = "";
billsays[26] = "";
billsays[27] = "";
billsays[28] = "";
billsays[29] = "";
billsays[30] = "";
billsays[31] = "";
billsays[32] = "";
billsays[33] = "";
billsays[34] = " - The day the music died (1959)"; /* 3 Feb */
billsays[35] = "";
billsays[36] = "";
billsays[37] = " - RIP King George VI (1952)"; /* 6 Feb */
billsays[38] = "";
billsays[39] = "";
billsays[40] = "";
billsays[41] = "";
billsays[42] = "";
billsays[43] = "";
billsays[44] = "";
billsays[45] = "";
billsays[46] = "";
billsays[47] = "";
billsays[48] = "";
billsays[49] = "";
billsays[50] = "";
billsays[51] = "";
billsays[52] = "";
billsays[53] = "";
billsays[54] = "";
billsays[55] = "";
billsays[56] = "";
billsays[57] = "";
billsays[58] = "";
billsays[59] = ""; /* 28 Feb */
billsays[60] = ""; /* 1 March or 29 Feb(Leap)  */
billsays[61] = ""; /* 2 March or 1 March(Leap) */
/* To handle leap year we are just going to subtract 1 from daynum
   if it is gt 60 in a leap year.  So array element 60 must be blank or wrap some code around it*/
billsays[62] = ""; /* 3 March or 2 March(Leap) */
billsays[63] = "";
billsays[64] = " - RIP Vivian Stanshall (1995)"; /* 5 March */
billsays[65] = "";
billsays[66] = "";
billsays[67] = "";
billsays[68] = "";
billsays[69] = "";
billsays[70] = "";
billsays[71] = "";
billsays[72] = "";
billsays[73] = "";
billsays[74] = "";
billsays[75] = "";
billsays[76] = "";
billsays[77] = ""; /* 18 March */
billsays[78] = "";
billsays[79] = "";
billsays[80] = "";
billsays[81] = "";
billsays[82] = "";
billsays[83] = " - RIP Viscount Montgomery of Alamein (1976)"; /* 24 March */
billsays[84] = "";
billsays[85] = "";
billsays[86] = "";
billsays[87] = "";
billsays[88] = "";
billsays[89] = "";
billsays[90] = ""; /* 31 March */
billsays[91] = " - RIP - Henry 'Harry' Crerar (1965)";
billsays[92] = "";
billsays[93] = "";
billsays[94] = "";
billsays[95] = "";
billsays[96] = "";
billsays[97] = "";
billsays[98] = "";
billsays[99] = "";
billsays[100] = "";
billsays[101] = "";
billsays[102] = "";
billsays[103] = "";
billsays[104] = "";
billsays[105] = " - RIP RMS Titanic (1912)"; /* 15 April */
billsays[106] = "";
billsays[107] = "";
billsays[108] = "";
billsays[109] = "";
billsays[110] = "";
billsays[111] = "";
billsays[112] = "";
billsays[113] = "";
billsays[114] = "";
billsays[115] = "";
billsays[116] = "";
billsays[117] = "";
billsays[118] = "";
billsays[119] = "";
billsays[120] = "";
billsays[121] = "";
billsays[122] = "";
billsays[123] = "";
billsays[124] = "";
billsays[125] = "";
billsays[126] = "";
billsays[127] = "";
billsays[128] = "";
billsays[129] = "";
billsays[130] = "";
billsays[131] = "";
billsays[132] = "";
billsays[133] = "";
billsays[134] = "";
billsays[135] = "";
billsays[136] = "";
billsays[137] = "";
billsays[138] = "";
billsays[139] = "";
billsays[140] = "";
billsays[141] = "";
billsays[142] = "";
billsays[143] = "";
billsays[144] = "";
billsays[145] = "";
billsays[146] = "";
billsays[147] = "";
billsays[148] = "";
billsays[149] = "";
billsays[150] = "";
billsays[151] = "";
billsays[152] = "";
billsays[153] = "";
billsays[154] = "";
billsays[155] = "";
billsays[156] = "";
billsays[157] = "";
billsays[158] = "";
billsays[159] = "";
billsays[160] = "";
billsays[161] = "";
billsays[162] = "";
billsays[163] = "";
billsays[164] = "";
billsays[165] = "";
billsays[166] = "";
billsays[167] = "";
billsays[168] = "";
billsays[169] = "";
billsays[170] = "";
billsays[171] = "";
billsays[172] = "";
billsays[173] = "";
billsays[174] = "";
billsays[175] = "";
billsays[176] = "";
billsays[177] = "";
billsays[178] = "";
billsays[179] = "";
billsays[180] = "";
billsays[181] = "";
billsays[182] = "";
billsays[183] = "";
billsays[184] = "";
billsays[185] = "";
billsays[186] = "";
billsays[187] = "";
billsays[188] = "";
billsays[189] = "";
billsays[190] = "";
billsays[191] = "";
billsays[192] = "";
billsays[193] = "";
billsays[194] = "";
billsays[195] = "";
billsays[196] = "";
billsays[197] = "";
billsays[198] = "";
billsays[199] = "";
billsays[200] = "";
billsays[201] = "";
billsays[202] = "";
billsays[203] = "";
billsays[204] = "";
billsays[205] = "";
billsays[206] = "";
billsays[207] = "";
billsays[208] = "";
billsays[209] = "";
billsays[210] = "";
billsays[211] = "";
billsays[212] = "";
billsays[213] = "";
billsays[214] = "";
billsays[215] = "";
billsays[216] = "";
billsays[217] = "";
billsays[218] = "";
billsays[219] = "";
billsays[220] = "";
billsays[221] = "";
billsays[222] = "";
billsays[223] = ""; /* 11 August */
billsays[224] = "";
billsays[225] = "";
billsays[226] = "";
billsays[227] = "";
billsays[228] = "";
billsays[229] = "";
billsays[230] = "";
billsays[231] = "";
billsays[232] = "";
billsays[233] = "";
billsays[234] = "";
billsays[235] = "";
billsays[236] = "";
billsays[237] = "";
billsays[238] = "";
billsays[239] = "";
billsays[240] = "";
billsays[241] = "";
billsays[242] = "";
billsays[243] = "";
billsays[244] = "";
billsays[245] = "";
billsays[246] = "";
billsays[247] = "";
billsays[248] = "";
billsays[249] = "";
billsays[250] = "";
billsays[251] = "";
billsays[252] = "";
billsays[253] = "";
billsays[254] = "";
billsays[255] = "";
billsays[256] = "";
billsays[257] = "";
billsays[258] = "";
billsays[259] = "";
billsays[260] = "";
billsays[261] = "";
billsays[262] = "";
billsays[263] = ""; /* 20 Sept 2018 */
billsays[264] = "";
billsays[265] = "";
billsays[266] = "";
billsays[267] = "";
billsays[268] = "";
billsays[269] = "";
billsays[270] = "";
billsays[271] = "";
billsays[272] = "";
billsays[273] = "";
billsays[274] = "";
billsays[275] = "";
billsays[276] = "";
billsays[277] = "";
billsays[278] = "";
billsays[279] = "";
billsays[280] = "";
billsays[281] = "";
billsays[282] = "";
billsays[283] = "";
billsays[284] = "";
billsays[285] = "";
billsays[286] = "";
billsays[287] = "";
billsays[288] = "";
billsays[289] = "";
billsays[290] = " - RIP Gord Downie (2017)"; /* 17 October */
billsays[291] = "";
billsays[292] = "";
billsays[293] = "";
billsays[294] = " - RIP Horatio Nelson 'You who tread his footprints remember his glory'(1805)"; /* 21 Oct */
billsays[295] = "";
billsays[296] = "";
billsays[297] = "";
billsays[298] = "";
billsays[299] = "";
billsays[300] = "";
billsays[301] = "";
billsays[302] = "";
billsays[303] = "";
billsays[304] = "";
billsays[305] = "";
billsays[306] = "";
billsays[307] = "";
billsays[308] = "";
billsays[309] = "";
billsays[310] = " - RIP Fred Dibnah (2004)"; /* 6 Nov */
billsays[311] = "";
billsays[312] = "";
billsays[313] = "";
billsays[314] = "";
billsays[315] = "";
billsays[316] = "";
billsays[317] = "";
billsays[318] = "";
billsays[319] = "";
billsays[320] = "";
billsays[321] = "";
billsays[322] = "";
billsays[323] = "";
billsays[324] = "";
billsays[325] = "";
billsays[326] = "";
billsays[327] = "";
billsays[328] = " - RIP Freddy Mercury (1991)"; /* 24 November */
billsays[329] = "";
billsays[330] = "";
billsays[331] = "";
billsays[332] = "";
billsays[333] = "";
billsays[334] = "";
billsays[335] = "";
billsays[336] = "";
billsays[337] = "";
billsays[338] = "";
billsays[339] = "";
billsays[340] = "";
billsays[341] = "";
billsays[342] = " - RIP John Lennon (1980)"; /* 8 December*/
billsays[343] = "";
billsays[344] = "";
billsays[345] = "";
billsays[346] = "";
billsays[347] = "";
billsays[348] = "";
billsays[349] = "";
billsays[350] = "";
billsays[351] = "";
billsays[352] = "";
billsays[353] = "";
billsays[354] = "";
billsays[355] = "";
billsays[356] = "";
billsays[357] = "";
billsays[358] = "";
billsays[359] = "";
billsays[360] = "";
billsays[361] = "";
billsays[362] = "";
billsays[363] = "";
billsays[364] = "";
billsays[365] = "";
billsays[366] = "";

/* For Testing - Leap year is leap = 1 ; Non leap year is leap = 0 */
/* leap = 0;
daynum = 62;*/
/*document.write( daynum);*/

if (leap === 1 && daynum > 60)
{daynum = daynum - 1;}

if (billsays[daynum] != "" )
{document.write(billsays[daynum]);}  /* Output the text */
/* {document.write(mybr, billsays[daynum]);}  Output the text */
}
// The End